/discord-guilds | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
discord-guilds_add_guild_member | PUT /guilds/{guild_id}/members/{user_id} |
discord-guilds_add_guild_member_role | PUT /guilds/{guild_id}/members/{user_id}/roles/{role_id} |
discord-guilds_ban_user_from_guild | PUT /guilds/{guild_id}/bans/{user_id} |
discord-guilds_bulk_update_guild_channels | PATCH /guilds/{guild_id}/channels |
discord-guilds_bulk_update_guild_roles | PATCH /guilds/{guild_id}/roles |
discord-guilds_create_auto_moderation_rule | POST /guilds/{guild_id}/auto-moderation/rules |
discord-guilds_create_guild_channel | POST /guilds/{guild_id}/channels |
discord-guilds_create_guild_emoji | POST /guilds/{guild_id}/emojis |
discord-guilds_create_guild_role | POST /guilds/{guild_id}/roles |
discord-guilds_delete_auto_moderation_rule | DELETE /guilds/{guild_id}/auto-moderation/rules/{rule_id} |
discord-guilds_delete_guild_emoji | DELETE /guilds/{guild_id}/emojis/{emoji_id} |
discord-guilds_delete_guild_integration | DELETE /guilds/{guild_id}/integrations/{integration_id} |
discord-guilds_delete_guild_member | DELETE /guilds/{guild_id}/members/{user_id} |
discord-guilds_delete_guild_member_role | DELETE /guilds/{guild_id}/members/{user_id}/roles/{role_id} |
discord-guilds_delete_guild_role | DELETE /guilds/{guild_id}/roles/{role_id} |
discord-guilds_get_active_guild_threads | GET /guilds/{guild_id}/threads/active |
discord-guilds_get_auto_moderation_rule | GET /guilds/{guild_id}/auto-moderation/rules/{rule_id} |
discord-guilds_get_guild | GET /guilds/{guild_id} |
discord-guilds_get_guild_ban | GET /guilds/{guild_id}/bans/{user_id} |
discord-guilds_get_guild_emoji | GET /guilds/{guild_id}/emojis/{emoji_id} |
discord-guilds_get_guild_member | GET /guilds/{guild_id}/members/{user_id} |
discord-guilds_get_guild_preview | GET /guilds/{guild_id}/preview |
discord-guilds_get_guild_role | GET /guilds/{guild_id}/roles/{role_id} |
discord-guilds_get_guild_template | GET /guilds/templates/{code} |
discord-guilds_get_guild_vanity_url | GET /guilds/{guild_id}/vanity-url |
discord-guilds_get_guild_webhooks | GET /guilds/{guild_id}/webhooks |
discord-guilds_guild_role_member_counts | GET /guilds/{guild_id}/roles/member-counts |
discord-guilds_list_auto_moderation_rules | GET /guilds/{guild_id}/auto-moderation/rules |
discord-guilds_list_guild_audit_log_entries | GET /guilds/{guild_id}/audit-logs |
discord-guilds_list_guild_bans | GET /guilds/{guild_id}/bans |
discord-guilds_list_guild_channels | GET /guilds/{guild_id}/channels |
discord-guilds_list_guild_emojis | GET /guilds/{guild_id}/emojis |
discord-guilds_list_guild_integrations | GET /guilds/{guild_id}/integrations |
discord-guilds_list_guild_invites | GET /guilds/{guild_id}/invites |
discord-guilds_list_guild_members | GET /guilds/{guild_id}/members |
discord-guilds_list_guild_roles | GET /guilds/{guild_id}/roles |
discord-guilds_list_guild_voice_regions | GET /guilds/{guild_id}/regions |
discord-guilds_preview_prune_guild | GET /guilds/{guild_id}/prune |
discord-guilds_search_guild_members | GET /guilds/{guild_id}/members/search |
discord-guilds_unban_user_from_guild | DELETE /guilds/{guild_id}/bans/{user_id} |
discord-guilds_update_auto_moderation_rule | PATCH /guilds/{guild_id}/auto-moderation/rules/{rule_id} |
discord-guilds_update_guild | PATCH /guilds/{guild_id} |
discord-guilds_update_guild_emoji | PATCH /guilds/{guild_id}/emojis/{emoji_id} |
discord-guilds_update_guild_member | PATCH /guilds/{guild_id}/members/{user_id} |
discord-guilds_update_guild_role | PATCH /guilds/{guild_id}/roles/{role_id} |
discord-guilds_update_my_guild_member | PATCH /guilds/{guild_id}/members/@me |
discord-guilds_add_guild_member
PUT /guilds/{guild_id}/members/{user_id} Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id | |
user_id | string | Yes | — | User Id | |
access_token | string | Yes | — | Access Token | |
deaf | boolean | null | No | — | The deaf value |
flags | integer | null | No | — | The flags value |
mute | boolean | null | No | — | The mute value |
nick | string | null | No | — | The nick value |
roles | string[] | No | — | The roles value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"user_id": {
"type": "string",
"description": "User Id"
},
"access_token": {
"type": "string",
"description": "Access Token"
},
"deaf": {
"type": [
"boolean",
"null"
],
"description": "The deaf value"
},
"flags": {
"type": [
"integer",
"null"
],
"description": "The flags value"
},
"mute": {
"type": [
"boolean",
"null"
],
"description": "The mute value"
},
"nick": {
"type": [
"string",
"null"
],
"description": "The nick value"
},
"roles": {
"type": "array",
"items": {
"type": "string",
"format": "snowflake"
},
"description": "The roles value"
}
},
"required": [
"PCID",
"guild_id",
"user_id",
"access_token"
]
}
discord-guilds_add_guild_member_role
PUT /guilds/{guild_id}/members/{user_id}/roles/{role_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
user_id | string | Yes | — | User Id |
role_id | string | Yes | — | Role Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"user_id": {
"type": "string",
"description": "User Id"
},
"role_id": {
"type": "string",
"description": "Role Id"
}
},
"required": [
"PCID",
"guild_id",
"user_id",
"role_id"
]
}
discord-guilds_ban_user_from_guild
PUT /guilds/{guild_id}/bans/{user_id} Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id | |
user_id | string | Yes | — | User Id | |
delete_message_days | integer | null | No | — | Delete Message Days |
delete_message_seconds | integer | null | No | — | Delete Message Seconds |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"user_id": {
"type": "string",
"description": "User Id"
},
"delete_message_days": {
"type": [
"integer",
"null"
],
"description": "Delete Message Days"
},
"delete_message_seconds": {
"type": [
"integer",
"null"
],
"description": "Delete Message Seconds"
}
},
"required": [
"PCID",
"guild_id",
"user_id"
]
}
discord-guilds_bulk_update_guild_channels
PATCH /guilds/{guild_id}/channels Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "snowflake",
"description": "The id value"
},
"position": {
"type": "integer",
"format": "int32",
"description": "The position value"
},
"parent_id": {
"type": "string",
"format": "snowflake",
"description": "Parent Id"
},
"lock_permissions": {
"type": "boolean",
"description": "Lock Permissions"
}
}
},
"description": "Request body"
}
},
"required": [
"PCID",
"guild_id",
"body"
]
}
discord-guilds_bulk_update_guild_roles
PATCH /guilds/{guild_id}/roles Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "snowflake",
"description": "The id value"
},
"position": {
"type": "integer",
"format": "int32",
"description": "The position value"
}
}
},
"description": "Request body"
}
},
"required": [
"PCID",
"guild_id",
"body"
]
}
discord-guilds_create_auto_moderation_rule
POST /guilds/{guild_id}/auto-moderation/rules Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"guild_id",
"body"
]
}
discord-guilds_create_guild_channel
POST /guilds/{guild_id}/channels Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id | |
available_tags | object[] | No | — | Available Tags | |
bitrate | integer | null | No | — | The bitrate value |
default_auto_archive_duration | integer | null | No | — | Default Auto Archive Duration |
default_forum_layout | integer | null | No | — | Default Forum Layout |
default_reaction_emoji | object | No | — | Default Reaction Emoji | |
default_sort_order | integer | null | No | — | Default Sort Order |
default_tag_setting | string | null | No | — | Default Tag Setting |
default_thread_rate_limit_per_user | integer | null | No | — | Default Thread Rate Limit Per User |
name | string | Yes | — | The name value | |
nsfw | boolean | null | No | — | The nsfw value |
parent_id | string | null | No | — | Parent Id |
permission_overwrites | object[] | No | — | Permission Overwrites | |
position | integer | null | No | — | The position value |
rate_limit_per_user | integer | null | No | — | Rate Limit Per User |
rtc_region | string | null | No | — | Rtc Region |
topic | string | null | No | — | The topic value |
type | integer | null | No | — | The type value |
user_limit | integer | null | No | — | User Limit |
video_quality_mode | integer | null | No | — | Video Quality Mode |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"available_tags": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "The name value"
},
"emoji_id": {
"type": "string",
"format": "snowflake",
"description": "Emoji Id"
},
"emoji_name": {
"type": "string",
"description": "Emoji Name"
},
"moderated": {
"type": "boolean",
"description": "The moderated value"
}
},
"required": [
"name"
]
},
"description": "Available Tags"
},
"bitrate": {
"type": [
"integer",
"null"
],
"description": "The bitrate value"
},
"default_auto_archive_duration": {
"type": [
"integer",
"null"
],
"description": "Default Auto Archive Duration"
},
"default_forum_layout": {
"type": [
"integer",
"null"
],
"description": "Default Forum Layout"
},
"default_reaction_emoji": {
"type": "object",
"description": "Default Reaction Emoji",
"properties": {
"emoji_id": {
"type": "string",
"description": "Emoji Id"
},
"emoji_name": {
"type": "string",
"description": "Emoji Name"
}
}
},
"default_sort_order": {
"type": [
"integer",
"null"
],
"description": "Default Sort Order"
},
"default_tag_setting": {
"type": [
"string",
"null"
],
"description": "Default Tag Setting"
},
"default_thread_rate_limit_per_user": {
"type": [
"integer",
"null"
],
"description": "Default Thread Rate Limit Per User"
},
"name": {
"type": "string",
"description": "The name value"
},
"nsfw": {
"type": [
"boolean",
"null"
],
"description": "The nsfw value"
},
"parent_id": {
"type": [
"string",
"null"
],
"description": "Parent Id"
},
"permission_overwrites": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "snowflake",
"description": "The id value"
},
"type": {
"type": "integer",
"format": "int32",
"description": "The type value"
},
"allow": {
"type": "integer",
"description": "The allow value"
},
"deny": {
"type": "integer",
"description": "The deny value"
}
},
"required": [
"id"
]
},
"description": "Permission Overwrites"
},
"position": {
"type": [
"integer",
"null"
],
"description": "The position value"
},
"rate_limit_per_user": {
"type": [
"integer",
"null"
],
"description": "Rate Limit Per User"
},
"rtc_region": {
"type": [
"string",
"null"
],
"description": "Rtc Region"
},
"topic": {
"type": [
"string",
"null"
],
"description": "The topic value"
},
"type": {
"type": [
"integer",
"null"
],
"description": "The type value",
"enum": [
0,
2,
4,
5,
13,
14,
15
]
},
"user_limit": {
"type": [
"integer",
"null"
],
"description": "User Limit"
},
"video_quality_mode": {
"type": [
"integer",
"null"
],
"description": "Video Quality Mode"
}
},
"required": [
"PCID",
"guild_id",
"name"
]
}
discord-guilds_create_guild_emoji
POST /guilds/{guild_id}/emojis Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
image | string | Yes | — | The image value |
name | string | Yes | — | The name value |
roles | string[] | No | — | The roles value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"image": {
"type": "string",
"description": "The image value"
},
"name": {
"type": "string",
"description": "The name value"
},
"roles": {
"type": "array",
"items": {
"type": "string",
"format": "snowflake"
},
"description": "The roles value"
}
},
"required": [
"PCID",
"guild_id",
"image",
"name"
]
}
discord-guilds_create_guild_role
POST /guilds/{guild_id}/roles Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id | |
color | integer | null | No | — | The color value |
colors | object | No | — | The colors value | |
hoist | boolean | null | No | — | The hoist value |
icon | string | null | No | — | The icon value |
mentionable | boolean | null | No | — | The mentionable value |
name | string | null | No | — | The name value |
permissions | integer | null | No | — | The permissions value |
unicode_emoji | string | null | No | — | Unicode Emoji |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"color": {
"type": [
"integer",
"null"
],
"description": "The color value"
},
"colors": {
"type": "object",
"description": "The colors value",
"properties": {
"primary_color": {
"type": "integer",
"description": "Primary Color"
},
"secondary_color": {
"type": "integer",
"description": "Secondary Color"
},
"tertiary_color": {
"type": "integer",
"description": "Tertiary Color"
}
}
},
"hoist": {
"type": [
"boolean",
"null"
],
"description": "The hoist value"
},
"icon": {
"type": [
"string",
"null"
],
"description": "The icon value"
},
"mentionable": {
"type": [
"boolean",
"null"
],
"description": "The mentionable value"
},
"name": {
"type": [
"string",
"null"
],
"description": "The name value"
},
"permissions": {
"type": [
"integer",
"null"
],
"description": "The permissions value"
},
"unicode_emoji": {
"type": [
"string",
"null"
],
"description": "Unicode Emoji"
}
},
"required": [
"PCID",
"guild_id"
]
}
discord-guilds_delete_auto_moderation_rule
DELETE /guilds/{guild_id}/auto-moderation/rules/{rule_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
rule_id | string | Yes | — | Rule Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"rule_id": {
"type": "string",
"description": "Rule Id"
}
},
"required": [
"PCID",
"guild_id",
"rule_id"
]
}
discord-guilds_delete_guild_emoji
DELETE /guilds/{guild_id}/emojis/{emoji_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
emoji_id | string | Yes | — | Emoji Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"emoji_id": {
"type": "string",
"description": "Emoji Id"
}
},
"required": [
"PCID",
"guild_id",
"emoji_id"
]
}
discord-guilds_delete_guild_integration
DELETE /guilds/{guild_id}/integrations/{integration_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
integration_id | string | Yes | — | Integration Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"integration_id": {
"type": "string",
"description": "Integration Id"
}
},
"required": [
"PCID",
"guild_id",
"integration_id"
]
}
discord-guilds_delete_guild_member
DELETE /guilds/{guild_id}/members/{user_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
user_id | string | Yes | — | User Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"user_id": {
"type": "string",
"description": "User Id"
}
},
"required": [
"PCID",
"guild_id",
"user_id"
]
}
discord-guilds_delete_guild_member_role
DELETE /guilds/{guild_id}/members/{user_id}/roles/{role_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
user_id | string | Yes | — | User Id |
role_id | string | Yes | — | Role Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"user_id": {
"type": "string",
"description": "User Id"
},
"role_id": {
"type": "string",
"description": "Role Id"
}
},
"required": [
"PCID",
"guild_id",
"user_id",
"role_id"
]
}
discord-guilds_delete_guild_role
DELETE /guilds/{guild_id}/roles/{role_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
role_id | string | Yes | — | Role Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"role_id": {
"type": "string",
"description": "Role Id"
}
},
"required": [
"PCID",
"guild_id",
"role_id"
]
}
discord-guilds_get_active_guild_threads
GET /guilds/{guild_id}/threads/active Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
}
},
"required": [
"PCID",
"guild_id"
]
}
discord-guilds_get_auto_moderation_rule
GET /guilds/{guild_id}/auto-moderation/rules/{rule_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
rule_id | string | Yes | — | Rule Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"rule_id": {
"type": "string",
"description": "Rule Id"
}
},
"required": [
"PCID",
"guild_id",
"rule_id"
]
}
discord-guilds_get_guild
GET /guilds/{guild_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
with_counts | boolean | No | — | With Counts |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"with_counts": {
"type": "boolean",
"description": "With Counts"
}
},
"required": [
"PCID",
"guild_id"
]
}
discord-guilds_get_guild_ban
GET /guilds/{guild_id}/bans/{user_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
user_id | string | Yes | — | User Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"user_id": {
"type": "string",
"description": "User Id"
}
},
"required": [
"PCID",
"guild_id",
"user_id"
]
}
discord-guilds_get_guild_emoji
GET /guilds/{guild_id}/emojis/{emoji_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
emoji_id | string | Yes | — | Emoji Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"emoji_id": {
"type": "string",
"description": "Emoji Id"
}
},
"required": [
"PCID",
"guild_id",
"emoji_id"
]
}
discord-guilds_get_guild_member
GET /guilds/{guild_id}/members/{user_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
user_id | string | Yes | — | User Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"user_id": {
"type": "string",
"description": "User Id"
}
},
"required": [
"PCID",
"guild_id",
"user_id"
]
}
discord-guilds_get_guild_preview
GET /guilds/{guild_id}/preview Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
}
},
"required": [
"PCID",
"guild_id"
]
}
discord-guilds_get_guild_role
GET /guilds/{guild_id}/roles/{role_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
role_id | string | Yes | — | Role Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"role_id": {
"type": "string",
"description": "Role Id"
}
},
"required": [
"PCID",
"guild_id",
"role_id"
]
}
discord-guilds_get_guild_template
GET /guilds/templates/{code} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | The code value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "The code value"
}
},
"required": [
"PCID",
"code"
]
}
discord-guilds_get_guild_vanity_url
GET /guilds/{guild_id}/vanity-url Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
}
},
"required": [
"PCID",
"guild_id"
]
}
discord-guilds_get_guild_webhooks
GET /guilds/{guild_id}/webhooks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
}
},
"required": [
"PCID",
"guild_id"
]
}
discord-guilds_guild_role_member_counts
GET /guilds/{guild_id}/roles/member-counts Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
}
},
"required": [
"PCID",
"guild_id"
]
}
discord-guilds_list_auto_moderation_rules
GET /guilds/{guild_id}/auto-moderation/rules Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
}
},
"required": [
"PCID",
"guild_id"
]
}
discord-guilds_list_guild_audit_log_entries
GET /guilds/{guild_id}/audit-logs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
user_id | string | No | — | User Id |
target_id | string | No | — | Target Id |
action_type | integer | No | — | Action Type |
before | string | No | — | The before value |
after | string | No | — | The after value |
limit | integer | No | — | Maximum number of results to return |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"user_id": {
"type": "string",
"description": "User Id"
},
"target_id": {
"type": "string",
"description": "Target Id"
},
"action_type": {
"type": "integer",
"description": "Action Type"
},
"before": {
"type": "string",
"description": "The before value"
},
"after": {
"type": "string",
"description": "The after value"
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return"
}
},
"required": [
"PCID",
"guild_id"
]
}
discord-guilds_list_guild_bans
GET /guilds/{guild_id}/bans Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
limit | integer | No | — | Maximum number of results to return |
before | string | No | — | The before value |
after | string | No | — | The after value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return"
},
"before": {
"type": "string",
"description": "The before value"
},
"after": {
"type": "string",
"description": "The after value"
}
},
"required": [
"PCID",
"guild_id"
]
}
discord-guilds_list_guild_channels
GET /guilds/{guild_id}/channels Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
}
},
"required": [
"PCID",
"guild_id"
]
}
discord-guilds_list_guild_emojis
GET /guilds/{guild_id}/emojis Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
}
},
"required": [
"PCID",
"guild_id"
]
}
discord-guilds_list_guild_integrations
GET /guilds/{guild_id}/integrations Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
}
},
"required": [
"PCID",
"guild_id"
]
}
discord-guilds_list_guild_invites
GET /guilds/{guild_id}/invites Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
}
},
"required": [
"PCID",
"guild_id"
]
}
discord-guilds_list_guild_members
GET /guilds/{guild_id}/members Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
limit | integer | No | — | Maximum number of results to return |
after | integer | No | — | The after value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return"
},
"after": {
"type": "integer",
"description": "The after value"
}
},
"required": [
"PCID",
"guild_id"
]
}
discord-guilds_list_guild_roles
GET /guilds/{guild_id}/roles Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
}
},
"required": [
"PCID",
"guild_id"
]
}
discord-guilds_list_guild_voice_regions
GET /guilds/{guild_id}/regions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
}
},
"required": [
"PCID",
"guild_id"
]
}
discord-guilds_preview_prune_guild
GET /guilds/{guild_id}/prune Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
days | integer | No | — | The days value |
include_roles | string[] | No | — | Include Roles |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"days": {
"type": "integer",
"description": "The days value"
},
"include_roles": {
"type": "array",
"items": {
"type": "string",
"format": "snowflake"
},
"description": "Include Roles"
}
},
"required": [
"PCID",
"guild_id"
]
}
discord-guilds_search_guild_members
GET /guilds/{guild_id}/members/search Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
limit | integer | No | — | Maximum number of results to return |
query | string | Yes | — | Search query string |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return"
},
"query": {
"type": "string",
"description": "Search query string"
}
},
"required": [
"PCID",
"guild_id",
"query"
]
}
discord-guilds_unban_user_from_guild
DELETE /guilds/{guild_id}/bans/{user_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
user_id | string | Yes | — | User Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"user_id": {
"type": "string",
"description": "User Id"
}
},
"required": [
"PCID",
"guild_id",
"user_id"
]
}
discord-guilds_update_auto_moderation_rule
PATCH /guilds/{guild_id}/auto-moderation/rules/{rule_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
rule_id | string | Yes | — | Rule Id |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"rule_id": {
"type": "string",
"description": "Rule Id"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"guild_id",
"rule_id",
"body"
]
}
discord-guilds_update_guild
PATCH /guilds/{guild_id} Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id | |
afk_channel_id | string | null | No | — | Afk Channel Id |
afk_timeout | integer | null | No | — | Afk Timeout |
banner | string | null | No | — | The banner value |
default_message_notifications | integer | null | No | — | Default Message Notifications |
description | string | null | No | — | The description value |
discovery_splash | string | null | No | — | Discovery Splash |
explicit_content_filter | integer | null | No | — | Explicit Content Filter |
features | string[] | No | — | The features value | |
home_header | string | null | No | — | Home Header |
icon | string | null | No | — | The icon value |
name | string | No | — | The name value | |
preferred_locale | string | null | No | — | Preferred Locale |
premium_progress_bar_enabled | boolean | null | No | — | Premium Progress Bar Enabled |
public_updates_channel_id | string | null | No | — | Public Updates Channel Id |
region | string | null | No | — | The region value |
rules_channel_id | string | null | No | — | Rules Channel Id |
safety_alerts_channel_id | string | null | No | — | Safety Alerts Channel Id |
splash | string | null | No | — | The splash value |
system_channel_flags | integer | null | No | — | System Channel Flags |
system_channel_id | string | null | No | — | System Channel Id |
verification_level | integer | null | No | — | Verification Level |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"afk_channel_id": {
"type": [
"string",
"null"
],
"description": "Afk Channel Id"
},
"afk_timeout": {
"type": [
"integer",
"null"
],
"description": "Afk Timeout"
},
"banner": {
"type": [
"string",
"null"
],
"description": "The banner value"
},
"default_message_notifications": {
"type": [
"integer",
"null"
],
"description": "Default Message Notifications"
},
"description": {
"type": [
"string",
"null"
],
"description": "The description value"
},
"discovery_splash": {
"type": [
"string",
"null"
],
"description": "Discovery Splash"
},
"explicit_content_filter": {
"type": [
"integer",
"null"
],
"description": "Explicit Content Filter"
},
"features": {
"type": "array",
"items": {
"type": "string"
},
"description": "The features value"
},
"home_header": {
"type": [
"string",
"null"
],
"description": "Home Header"
},
"icon": {
"type": [
"string",
"null"
],
"description": "The icon value"
},
"name": {
"type": "string",
"description": "The name value"
},
"preferred_locale": {
"type": [
"string",
"null"
],
"description": "Preferred Locale"
},
"premium_progress_bar_enabled": {
"type": [
"boolean",
"null"
],
"description": "Premium Progress Bar Enabled"
},
"public_updates_channel_id": {
"type": [
"string",
"null"
],
"description": "Public Updates Channel Id"
},
"region": {
"type": [
"string",
"null"
],
"description": "The region value"
},
"rules_channel_id": {
"type": [
"string",
"null"
],
"description": "Rules Channel Id"
},
"safety_alerts_channel_id": {
"type": [
"string",
"null"
],
"description": "Safety Alerts Channel Id"
},
"splash": {
"type": [
"string",
"null"
],
"description": "The splash value"
},
"system_channel_flags": {
"type": [
"integer",
"null"
],
"description": "System Channel Flags"
},
"system_channel_id": {
"type": [
"string",
"null"
],
"description": "System Channel Id"
},
"verification_level": {
"type": [
"integer",
"null"
],
"description": "Verification Level"
}
},
"required": [
"PCID",
"guild_id"
]
}
discord-guilds_update_guild_emoji
PATCH /guilds/{guild_id}/emojis/{emoji_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
emoji_id | string | Yes | — | Emoji Id |
name | string | No | — | The name value |
roles | string[] | No | — | The roles value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"emoji_id": {
"type": "string",
"description": "Emoji Id"
},
"name": {
"type": "string",
"description": "The name value"
},
"roles": {
"type": "array",
"items": {
"type": "string",
"format": "snowflake"
},
"description": "The roles value"
}
},
"required": [
"PCID",
"guild_id",
"emoji_id"
]
}
discord-guilds_update_guild_member
PATCH /guilds/{guild_id}/members/{user_id} Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id | |
user_id | string | Yes | — | User Id | |
channel_id | string | null | No | — | Channel Id |
communication_disabled_until | string | null | No | — | Communication Disabled Until |
deaf | boolean | null | No | — | The deaf value |
flags | integer | null | No | — | The flags value |
mute | boolean | null | No | — | The mute value |
nick | string | null | No | — | The nick value |
roles | string[] | No | — | The roles value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"user_id": {
"type": "string",
"description": "User Id"
},
"channel_id": {
"type": [
"string",
"null"
],
"description": "Channel Id"
},
"communication_disabled_until": {
"type": [
"string",
"null"
],
"description": "Communication Disabled Until"
},
"deaf": {
"type": [
"boolean",
"null"
],
"description": "The deaf value"
},
"flags": {
"type": [
"integer",
"null"
],
"description": "The flags value"
},
"mute": {
"type": [
"boolean",
"null"
],
"description": "The mute value"
},
"nick": {
"type": [
"string",
"null"
],
"description": "The nick value"
},
"roles": {
"type": "array",
"items": {
"type": "string",
"format": "snowflake"
},
"description": "The roles value"
}
},
"required": [
"PCID",
"guild_id",
"user_id"
]
}
discord-guilds_update_guild_role
PATCH /guilds/{guild_id}/roles/{role_id} Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id | |
role_id | string | Yes | — | Role Id | |
color | integer | null | No | — | The color value |
colors | object | No | — | The colors value | |
hoist | boolean | null | No | — | The hoist value |
icon | string | null | No | — | The icon value |
mentionable | boolean | null | No | — | The mentionable value |
name | string | null | No | — | The name value |
permissions | integer | null | No | — | The permissions value |
unicode_emoji | string | null | No | — | Unicode Emoji |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"role_id": {
"type": "string",
"description": "Role Id"
},
"color": {
"type": [
"integer",
"null"
],
"description": "The color value"
},
"colors": {
"type": "object",
"description": "The colors value",
"properties": {
"primary_color": {
"type": "integer",
"description": "Primary Color"
},
"secondary_color": {
"type": "integer",
"description": "Secondary Color"
},
"tertiary_color": {
"type": "integer",
"description": "Tertiary Color"
}
}
},
"hoist": {
"type": [
"boolean",
"null"
],
"description": "The hoist value"
},
"icon": {
"type": [
"string",
"null"
],
"description": "The icon value"
},
"mentionable": {
"type": [
"boolean",
"null"
],
"description": "The mentionable value"
},
"name": {
"type": [
"string",
"null"
],
"description": "The name value"
},
"permissions": {
"type": [
"integer",
"null"
],
"description": "The permissions value"
},
"unicode_emoji": {
"type": [
"string",
"null"
],
"description": "Unicode Emoji"
}
},
"required": [
"PCID",
"guild_id",
"role_id"
]
}
discord-guilds_update_my_guild_member
PATCH /guilds/{guild_id}/members/@me Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id | |
avatar | string | null | No | — | The avatar value |
banner | string | null | No | — | The banner value |
bio | string | null | No | — | The bio value |
nick | string | null | No | — | The nick value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
},
"avatar": {
"type": [
"string",
"null"
],
"description": "The avatar value"
},
"banner": {
"type": [
"string",
"null"
],
"description": "The banner value"
},
"bio": {
"type": [
"string",
"null"
],
"description": "The bio value"
},
"nick": {
"type": [
"string",
"null"
],
"description": "The nick value"
}
},
"required": [
"PCID",
"guild_id"
]
}

